Bug 175819 - latitude d800 hangs on boot with bug spinlock bad magic on cpu#0 message
latitude d800 hangs on boot with bug spinlock bad magic on cpu#0 message
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-12-15 08:02 EST by Emmanuel Bettler
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 22:04:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Emmanuel Bettler 2005-12-15 08:02:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
For each kernel 2.6.14 release, when i reboot, my computer freeze at boot.
For 2.6.14-1.1637, 2.6.14-1.1644 and 2.6.14-1.1653, at the initializing step (after udev start): 
initializing device... storage network
audio doesn't appear and computer is frozen
With 2.6.14-1.1637, 2.6.14-1.1644 nothing else happen. With 2.6.14-1.1653, i have the following error message:
BUG: spinlock bad magic on CPU#0, event /0/3 (Not tainted) lock: C1752114, .magic:00000000, .owner: <none>/-1, .owner-cpu:0
Everything work fine with 2.6.13 kernel
My computer is a Dell Latitude D800 with FC4.
Soundcard is an intel (82801DB/DBL/DBM AC97)
Processor is centrino 1.7 GHz
Memory: 512 Mo
graphic card: nvidia GeForce4 Ti 4200 Go

Version-Release number of selected component (if applicable):
all kernel 2.6.14 releases

How reproducible:

Steps to Reproduce:
1. Install 2.6.14 kernel update
2. Reboot

Actual Results:  Computer is frozen at boot

Expected Results:  A normal boot

Additional info:

BUG: spinlock bad magic on CPU#0, event /0/3 (Not tainted) lock: C1752114, .magic:00000000, .owner: <none>/-1, .owner-cpu:0
appear only with 2.6.14-1.1653 not 2.6.14-1.1637 or 2.6.14-1.1644
Comment 1 Emmanuel Bettler 2005-12-22 12:11:28 EST
It seems i can boot on 2.6.14 kernel when i reboot from Win2K or from 2.6.13 kernel.
Comment 2 Germán Salvador 2006-01-19 12:05:26 EST
Same happens to me, but with a D600 instead, almost the same harware.
I have seen it mostly on 2.6.14_1.1656, but also with 1653. Anyway it happens
almost always, but sometimes it works. 

I have another D600 with 1653 that has never seen the bug. But on a new one,
fresh FC4 install and yum update -> BUG. 

Exchanging the hard disks of the two laptops moves the bug to the other computer.

The is what I see from a serial console:

Red Hat nash version 4.2.15 starting
INIT: version 2.85 booting
                Welcome to Fedora Core
                Press 'I' to enter interactive startup.
Iniciando udev:  [  OK  ]
Iniciando el hardware... almacenamientoredBUG: spinlock bad magic on CPU#0,
events/0/3 (Not tainted)
 lock: c1a07114, .magic: 00000000, .owner: <none>/-1, .owner_cpu: 0
BUG: spinlock lockup on CPU#0, events/0/3, c1a07114 (Not tainted)

I have also tested with a plain vanilla and the same thing happens.
Comment 3 Dave Jones 2006-02-03 01:15:31 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 22:04:52 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.